import { SwatchEntry, SwatchSchemeSetting } from './color_functions/color_module';

export type SwatchScheme = {
  light: Record<string, string[]>;
  dark: Record<string, string[]>;
};

export type SwatchSchemeSource = {
  colors: SwatchEntry[];
  setting: SwatchSchemeSetting | null;
};

export type SwatchSchemeStorage = {
  source?: SwatchSchemeSource;
  scheme?: SwatchScheme;
};
